html 
{
    color-scheme: light;
}

#header {
    width: 34em;
    border-bottom: 2px gray solid;
    padding-bottom: 0em;
    margin-bottom: 1em;
    height: auto;
    margin-left: auto;
    margin-right: auto;
}

body {
    font-family: "Lora";
    display: flex;
    min-height: 100vh;
    height: 100%;
    flex-direction: column;
    background-color: #fff;
}

/* Override for dark mode preference */
@media (prefers-color-scheme: dark) {
    body {
        background-color: #ffffff; /* Force white background even in dark mode */
    }
    /* ... apply the same light theme styles to other elements here ... */
}

#profilePic {
    background-image: url("images/profilePic.jpg");
    background-repeat: no-repeat;
    border-radius: 50%;
    margin-left: auto;
    height: 12em;
    width: 12em;
    justify-content: center;
    align-self: center;
    margin-right: auto;
    position: relative;
    display: block;
    background-size: 100%;
}

/* #app-icon {
    background-image: url("../images/app_icon.png");
    margin-left: auto;
    margin-right: auto;
    background-repeat: no-repeat;
    position: relative;
    display: block;
    justify-content: center;
    align-self: center;
    border-radius: 50%;
    background-size: 100%;
    height: 12em;
    width: 12em;
} */

h1 {
    text-align: center;
    width: 100%;
    font-family: "Lora";
    height: 1.3em;
}

p {
    text-align: center;
    width: 100%;
}

p a {
    color: #326891;
}

p a:visited {
     color: #326891;
}

.button-row {
    display: flex;
    flex-wrap: wrap;
    align-content: space-around;
    /* margin: 0 auto; */
    justify-content: center;
}

.button {
    font-family: "Lora";
    display: inline-block;
    text-align: center;
    text-indent: none;
    padding: 18px 0;
    text-decoration: none;
    font-weight: bold;
    font-size: 18px;
    letter-spacing: 0.4px;
    line-height: 1;
    text-transform: uppercase;
    position: relative;
    width: 200px;
    margin: 0 30px 2em;
    background: none;
    border: 2px solid #111;
    -webkit-transition: all 300ms ease;
    -moz-transition: all 300ms ease;
    -ms-transition: all 300ms ease;
    transition: all 300ms ease;
    color: black;
    border: 2px solid #111;
    user-select: none; /* Makes so the text on buttons are not selected */
    align-items: center;
    line-height: 18px;
    max-height: 18px;
    
}


#linkButtons:hover {
    color: #00ff1e;
    background-color: #111;
}

/* #chocolateButton:hover {
    color: blue;
    background-color: blue;
} */

#about:hover {
    color: #F012BE;
    background-color: #111;
}

.sm-row {
    display: block;
    height: 64px;
    width: 34em;
    margin: 0 auto;
    padding-top: 1.1em;
    border-top: 2px solid gray;
    text-align: center;
}

.sm-list {
    list-style: none;
    margin: 0 auto;
    padding: 0;
    display: block;
    width: 410px; /* set to 500 if add 6th icon  */
}

.sm-list a {
    height: 64px;
    width: 64px;
    background-size: 500px;
}

.sm-list li {
    float: left;
    margin-right: 40px;
    display: list-item;
    text-align: -webkit-match-parent;
}

.chess {
    margin-right: 0px !important;
}

.chess a {
    background-position: 75% bottom;
}

.chess a:hover {
    background-position: 75% top;
}

#footer {
    font-family: "Lora";
    text-align: center;
    width: 100%;
    font-size: 0.7em;
    line-height: 1.8em;
}

@-webkit-keyframes tracking-in-expand-fwd{0%{letter-spacing:-.6em;-webkit-transform:translateZ(-720px);transform:translateZ(-720px);opacity:0}45%{opacity:.5}100%{-webkit-transform:translateZ(0);transform:translateZ(0);opacity:1}}

@keyframes tracking-in-expand-fwd{0%{letter-spacing:-.6em;-webkit-transform:translateZ(-720px);transform:translateZ(-720px);opacity:0}45%{opacity:.5}100%{-webkit-transform:translateZ(0);transform:translateZ(0);opacity:1}}

@media only screen and (max-width: 500px) {
    #header 
    {
        font-size: 1em;
        display: block;
        width: 90%;
        max-width: 28em;
        padding-bottom: 0.5em;
        height: inherit;
    } 
    .button-row 
    {
        display: flex;
    } 
    .sm-row 
    {
        width: 90%;
        max-width: 14em;
        padding-top: 1em;
    } 
    .sm-list a 
    {
        height: 44px;
        width: 44px;
        background-size: 220px;
    } 
    .sm-list 
    {
        width: 296px;
    } 
    .button 
    {
        margin: 0 auto 2em;
        width: 30%;
        min-width: 10.5em;
    } 
    .workInProgressButton
    {
        margin: 0 auto 2em;
        width: 30%;
        min-width: 10.5em;
        display: inline-flex;
    } 
    .linkbar li 
    {
        padding: 0;
        width: 100px;
        line-height: 2.5em;
        text-align: center;
    }
}

@media only screen and (min-device-width: 375px) and (max-device-width: 667px) {
    .button-row {
        display: block;
        text-align: center;
    } .button {
        margin: 0 4% 2em;
    }
}

.intro-animation {
    animation: tracking-in-expand-fwd 0.8s cubic-bezier(0.200, 0.600, 0.300, 1.000) both;
    -webkit-animation: tracking-in-expand-fwd 0.8s cubic-bezier(0.200, 0.600, 0.300, 1.000) both; /* For Safari, Chrome, etc. */
    -moz-animation: tracking-in-expand-fwd 0.8s cubic-bezier(0.200, 0.600, 0.300, 1.000) both; /* For Firefox */
    -o-animation: tracking-in-expand-fwd 0.8s cubic-bezier(0.200, 0.600, 0.300, 1.000) both; /* For Opera */
  }



  /* Modal Styles */
.modal {
    display: none; /* Hidden by default */
    position: fixed;
    z-index: 1000;
    padding-top: 25px;
    padding-bottom: 25px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: black;
  }
  
  /* Modal Content (Fullsize Image) */
  .modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    border-radius: 100px;
    height: 92%;
  }
  
  /* Close Button */
  .close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
  }
  
  .close:hover,
  .close:focus 
{
    color: #bbb;
}

  .image-wrapper {
    width: fit-content; /* Or a fixed width if you prefer */
    height: fit-content; /* Or a fixed height */
    max-width: 95%;
    max-height: 95%;
    border-radius: 10px; /* Your desired border-radius */
    overflow: hidden; /* Crucial for clipping the image */
    display: flex;
    justify-content: center;
    align-items: center;
}

.image-wrapper img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain; /* Maintain aspect ratio */
    display: block;
}

@media (max-width: 870px) 
{
    .modal-content {
        height: fit-content;
        border-radius: 50px;
        width:86%;
        margin-top: 15%;
    }
}